<?php

declare(strict_types=1);

namespace App\DTO\Edge\Response\Mapper;

use App\DTO\Edge\Response\WeatherAtTimePointResponse;
use App\DTO\Edge\Response\WeatherAtTimeResponse;

class WeatherAtTimeResponseMapper
{
    public function __construct()
    {
    }

    /**
     * @param array<WeatherAtTimePointResponse> $points
     */
    public function mapResponse(string $city, array $points): WeatherAtTimeResponse
    {
        return new WeatherAtTimeResponse(
            $city,
            $points
        );
    }
}
