<?php

declare(strict_types=1);

namespace App\DTO;

readonly class WeatherData
{
    public function __construct(
        public string $lat,
        public string $lon,
        /**
         * @var array<WeatherAtTimePoint>
         */
        public array $weatherDates,
    ) {
    }
}
