#!/usr/bin/env bash

set -ex

docker compose build

# composer
docker compose run --rm -it php-fpm composer install

docker compose up --build -d

echo "Downloading forecast"
docker compose exec -it php-fpm /var/www/html/bin/console nano:fetch-forecast-data

echo "... ready"

# run containers (and build again)
docker compose up
