<?php

declare(strict_types=1);

namespace App\DTO\Edge\Response;

use JMS\Serializer\Annotation\Groups;

readonly class WeatherAtTimePointResponse
{
    public function __construct(
        /**
         * Date of entry.
         */
        #[Groups(["full"])]
        public string $date,
        /**
         * @var float Minimum temp. Unit in C
         */
        #[Groups(["full"])]
        public float $min,
        /**
         * @var float Maximum temp. Unit in C
         */
        #[Groups(["full"])]
        public float $max,
    ) {
    }
}
