<?php

declare(strict_types=1);

namespace App\Services;

use App\DTO\WeatherAtTimePoint;

interface WeatherGranularityInterface
{
    /**
     * Calculate forecast with granularity.
     * @param array<WeatherAtTimePoint> $records
     * @return array<WeatherAtTimePoint>
     */
    public function calculateFromMultipleRecords(array $records): array;
}
