<?php

declare(strict_types=1);

namespace App\Services;

use App\DTO\GEOPoint;
use App\DTO\WeatherAtTimePoint;

interface WeatherStorageStoreInterface
{
    /**
     * @param array<WeatherAtTimePoint> $weatherAtTimePoints
     */
    public function storeWeatherForPointByDay(GEOPoint $point, array $weatherAtTimePoints): void;
}
